Function
breadthFirstSearch
Implements a breadth-first search on a graph.
breadthFirstSearch(g, source, predecessor, distance)
Include Headers
seqan/graph_algorithms.h
Parameters

g | In-parameter:A graph. Types: Directed Graph, Undirected Graph
source | In-parameter:A vertex descriptor. Types: VertexDescriptor Remarks: The breadth-first search is started from this vertex.
predecessor | Out-parameter:A property map. Remarks: The predecessor map stores implicitly the breadth-first tree.
distance | Out-parameter:A property map. Remarks: The distance map indicates at what depth a vertex was discovered.

Remarks
Breadth-first search computes the distance from source to all reachable vertices. It also produces a breath-first tree where each node has a predecessor / parent.
Return Values
void.
Example Programs
Breadth-First Search
See Also
depthFirstSearch
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46